MappingJsonFactory
Date: 2016-12-04

com.fasterxml.jackson.databind

## Class MappingJsonFactory

- java.lang.Object
- - com.fasterxml.jackson.core.JsonFactory
  - - com.fasterxml.jackson.databind.MappingJsonFactory

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, java.io.Serializable

      public class MappingJsonFactory
      extends com.fasterxml.jackson.core.JsonFactory

  Sub-class of `JsonFactory` that will create a proper `ObjectCodec` to allow seam-less conversions between JSON content and Java objects (POJOs). The only addition to regular `JsonFactory` currently is that `ObjectMapper` is constructed and passed as the codec to use.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonFactory

      `com.fasterxml.jackson.core.JsonFactory.Feature`

  - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonFactory

      `_byteSymbolCanonicalizer, _characterEscapes, _factoryFeatures, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootCharSymbols, _rootValueSeparator, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingJsonFactory()`
    `MappingJsonFactory(com.fasterxml.jackson.core.JsonFactory src, ObjectMapper mapper)`
    `MappingJsonFactory(ObjectMapper mapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.core.JsonFactory` | `copy()`
    `ObjectMapper` | `getCodec()` We'll override the method to return more specific type; co-variance helps here
    `java.lang.String` | `getFormatName()` Sub-classes need to override this method
    `com.fasterxml.jackson.core.format.MatchStrength` | `hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)` Sub-classes need to override this method

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonFactory

      `_checkInvalidCopy, _createContext, _createDataOutputWrapper, _createGenerator, _createParser, _createParser, _createParser, _createParser, _createParser, _createUTF8Generator, _createWriter, _decorate, _decorate, _decorate, _decorate, _decorate, _getBufferRecycler, _optimizedStreamFromURL, canHandleBinaryNatively, canUseCharArrays, canUseSchema, configure, configure, configure, createGenerator, createGenerator, createGenerator, createGenerator, createGenerator, createGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, disable, disable, disable, enable, enable, enable, getCharacterEscapes, getFormatReadFeatureType, getFormatWriteFeatureType, getInputDecorator, getOutputDecorator, getRootValueSeparator, hasJSONFormat, isEnabled, isEnabled, isEnabled, readResolve, requiresCustomCodec, requiresPropertyOrdering, setCharacterEscapes, setCodec, setInputDecorator, setOutputDecorator, setRootValueSeparator, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingJsonFactory

          public MappingJsonFactory()

    - #### MappingJsonFactory

          public MappingJsonFactory(ObjectMapper mapper)

    - #### MappingJsonFactory

          public MappingJsonFactory(com.fasterxml.jackson.core.JsonFactory src,
                            ObjectMapper mapper)

  - ### Method Detail

    - #### getCodec

          public final ObjectMapper getCodec()

      We'll override the method to return more specific type; co-variance helps here
      Overrides:
        `getCodec` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### copy

          public com.fasterxml.jackson.core.JsonFactory copy()

      Overrides:
        `copy` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### getFormatName

          public java.lang.String getFormatName()

      Sub-classes need to override this method
      Overrides:
        `getFormatName` in class `com.fasterxml.jackson.core.JsonFactory`

    - #### hasFormat

          public com.fasterxml.jackson.core.format.MatchStrength hasFormat(com.fasterxml.jackson.core.format.InputAccessor acc)
                                                                    throws java.io.IOException

      Sub-classes need to override this method
      Overrides:
        `hasFormat` in class `com.fasterxml.jackson.core.JsonFactory`
      Throws:
        `java.io.IOException`